Delete an event endpoint and its delivery log.

DELETEhttps://api.appgoat.ai/v1/webhooks/{id}
FreeoperationId deleteWebhook

Request

curl -X DELETE "https://api.appgoat.ai/v1/webhooks/123" \
  -H "x-api-key: $APPGOAT_API_KEY"

Path parameters

idintegerrequired

Response

200 with data: object. See the envelope for meta.

deletedboolean
Example
{
  "data": {
    "deleted": false
  },
  "meta": {
    "credits_used": 0,
    "credits_remaining": 9981,
    "request_id": "req_123"
  }
}

Status codes

200
Deleted.
Missing or invalid API key.
Not found.
Too many requests per second for your plan.